PDA

View Full Version : [release] Installatron v2.2



l0rdphi1
06-06-2004, 03:27 PM
Installatron provides DirectAdmin users with the ability to easily install and upgrade a growing list of web scripts. See www.installatron.com for details.

--

iTron version 2.2 includes experimental remote MySQL server support. Though we do not see any issues in the implementation of this feature, we can not guarantee this feature bug free yet. That is, do not change the Remote MySQL setting from 'localhost' unless you know what you're doing :)

As always, any issues uncovered in this release will be promptly fixed through a version 2.3 release candidate.

--

To upgrade to this version, simply navigate to the DirectAdmin Plugin Manager and click the 'Upgrade' button for 'Installatron'.

To install this version on a new server, see this guide: http://www.installatron.com/installation

--

Enjoy. :)

l0rdphi1
06-06-2004, 03:39 PM
I've also updated the following packages with miscellaneous innovations: phpBB
osCommerce
Coppermine
Directory
MamboAnd I've added this script as a new package: PostNukeEnjoy!

skruf
06-06-2004, 03:46 PM
Hey,

Houston we have a problem...

Here's what I get upon install... It also appears on the "Installatron Admin" page...

The file /usr/local/directadmin/plugins/iTron/engine/libraries/misc.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_lin_4.3.so ionCube PHP Loader to be installed.Plugin Installed!

This was a clean install without any existing iTron directory...

Are the ioncube files missing?

David

l0rdphi1
06-06-2004, 03:49 PM
That's correct. Bah. Give me a min I'm repacking everything.

l0rdphi1
06-06-2004, 03:52 PM
There we go. Just "delete" what part of it installed, and reinstall. :)

"If it's not tested, it's broken."

skruf
06-06-2004, 03:57 PM
Hey,

Well, you learn certainly more from broken things by simply having to fix them...

David

skruf
06-06-2004, 04:02 PM
Hey Phil,

Installed with no problems... Great work... Thanks

David

l0rdphi1
06-06-2004, 04:02 PM
Originally posted by skruf
Hey,

Well, you learn certainly more from broken things by simply having to fix them...

David That is very true :)

Lets just hope it's fixed this time 'round :p

l0rdphi1
06-06-2004, 04:03 PM
Originally posted by skruf
Hey Phil,

Installed with no problems... Great work... Thanks Oh, goodie.. yay! :)

motobrandt
06-06-2004, 10:34 PM
I get this after PHPshop install.


Warning: main(home/phpshop/etc/phpshop.cfg): failed to open stream: No such file or directory in /usr/home/blibrandt/domains/bli.net/public_html/phpshop/index.php on line 65

Fatal error: main(): Failed opening required 'home/phpshop/etc/phpshop.cfg' (include_path='.:/usr/local/lib/php') in /usr/home/blibrandt/domains/bli.net/public_html/phpshop/index.php on line 65

This is at the main page.

Sumaleth
06-07-2004, 01:50 AM
I get this after PHPshop install.

I just uploaded a new build of the phpShop package. If you go into the DA plugin manager and [Update] Installatron you'll get it (the itron core will still say 2.2, ignore that).

motobrandt
06-07-2004, 09:55 AM
thanks I'll give her a shop.

I'm also having a problem with a site that I just added. When he installs mambo it is leaving the group as apache and then he doesn't have permission to do anything apparantly. I changed the grp to hisusername and everything worked fine. Oversight or??

Thanks I know this will evolve into a great thing. Hell it already is!

On a side note check this out.
http://www.jamroom.net/about.shtml
This would be a great addition. :)
cheers
brandt

l0rdphi1
06-07-2004, 01:07 PM
I've uploaded updates for Pivot and Gallery. To update, go into the DA plugin manager and [Update] Installatron. Note that the iTron core will still say 2.2.

As for file owner sometimes setting to 'apache' - iTron is run as the user installing the script, so I'm not sure if there is anything we can do. However, I do plan to look into pre-creating 0-byte files for such scripts, although I'm not sure if these 0-byte files are just going to be overwritten or not.

l0rdphi1
06-07-2004, 02:35 PM
Hello,

If you choose https:// (private_html) while installing the script, yes it will. :)

Phi1.

l0rdphi1
06-10-2004, 12:36 AM
Hello everyone,

iTron version 2.3rc1 is up. This release includes our new package & language updating system along with a few small bug fixes.

This is not an essential release. You may opt to wait until version 2.3 final is released later this week. :)

Phi1.

Sumaleth
06-10-2004, 06:32 AM
Originally posted by GXX
i see it just tells you 'plugin update' without the whole list of scripts showing, is that supposed to be how it is?

Yes, in the earlier versions it reported on every package, but now it will only tell you when there is something to report -- a new or updated package, or an error.

Package/Language updating is now performed from the Installatron Administration page by the way.

Sumaleth
06-10-2004, 07:23 AM
We take it in turns. ;)

l0rdphi1
06-15-2004, 01:08 PM
Hello,

The red-x'ed logo is a bug which will be fixed in the next iTron release. :)

If you want, wget http://files.installatron.com/images/minilogo.gif into /usr/local/directadmin/plugins/iTron/images/ and the broken image should be fixed.

Phi1.

Seth
06-23-2004, 12:09 PM
"Unable to execute your request
Details
The requested file does not have read or execute permissions"

ALSO:
Result While Updating Plugin(s)

Details
iTron successfully downloaded
Error unpacking /usr/local/directadmin/plugins/iTron/plugin.tar.gz : Error restoring file /usr/local/directadmin/plugins/iTron/plugin.tar.gz :


Is what I got after trying to update Installatron, what would be the proper permmisions?

thanks.

Sumaleth
06-23-2004, 06:10 PM
I think that permissions problem was an issue with DA 1.22.1, and we've been waiting on 1.22.2 before we can fix it (which actually looks like it was released today).

There'll be a new version of Installatron coming out soon.

l0rdphi1
06-26-2004, 06:24 AM
iTron v2.3rc2 for DA v1.22.2 is up ;)

l0rdphi1
06-27-2004, 05:50 AM
iTron v2.3rc3 is up fixing the "in_array" bug.

Make sure you're running DA version 1.22.2 before updating to this release. Thank You. ;)

Phi1.

hostpc.com
06-27-2004, 09:31 AM
Installatron 2.3rc3 2.3rc3

No packages for the clients.... happening on all servers. They're really not quite happy about it... a fix would be appreciated ;)

Thanks

hostpc.com
06-27-2004, 09:37 AM
Seems like the default for all users has been switched to OFF for all packages...

Since we have about 8 different packages on each server, is there a way to globally edit ALL to ON ?

l0rdphi1
06-27-2004, 05:50 PM
Originally posted by hostpc.com
Seems like the default for all users has been switched to OFF for all packages...

Since we have about 8 different packages on each server, is there a way to globally edit ALL to ON ?
Yes, I replied to the other thread about this problem.

I'm going to be releasing rc4 shortly. rc4 will default all packages to ON for all groups and users.

Phi1.

hostpc.com
06-27-2004, 06:07 PM
Can you define "shortly" ? :)

l0rdphi1
06-27-2004, 06:18 PM
Less than an hour :)

l0rdphi1
06-27-2004, 07:23 PM
Okay, 2.3rc4 is up :)

After updating, you may need to hit the 'Restore' button on iTron's main administration page to get groups listing scripts correctly.

Phi1.

l0rdphi1
06-27-2004, 08:04 PM
Originally posted by GXX
*edit* i think i may have figured it out. users are not listed like they were before in the groups are they? as long as they are under a DA package, they are in the groups automagically. if so, then this makes sense now. sorry bout that.
That is correct. If a user is in a DA package, the user is not listed on iTron's group edit page.

DA users are only listed on the iTron group edit page when the user is not assigned to any package through DA. This allows you to assign such a user to an iTron group.

Phi1.

hostpc.com
06-27-2004, 08:28 PM
Yep, there's definately "issues" with this release too.

l0rdphi1
06-27-2004, 09:03 PM
That error pops up since there are not any custom users on your box: there's only users assigned to packages :)

Regardless, that is now fixed for rc5. No harm done.

Phi1.

interfasys
06-27-2004, 09:30 PM
I can only speak for Mambo, but the version that iTron uses is both old and dangerous. I think it's vital that the iTron team patches iTron within 24 hours of patch releases.

After having replaced the downloadable applications, it would be nice to provide a way to apply patches to already installed applications ;)

Sumaleth
06-27-2004, 10:07 PM
I can only speak for Mambo, but the version that iTron uses is both old and dangerous. I think it's vital that the iTron team patches iTron within 24 hours of patch releases.

The download link on the mambo site is downloading the wrong version, so I've removed the mambo package until they fix that.

We typically do an update of all packages once per week (takes a couple of days to get through them), although we do updates pretty much instantly if we get word of a critical patch.

With non-critical updates we're a little more wary. We prefer to strick with a 'stable' version than test out the latest version right on release.


After having replaced the downloadable applications, it would be nice to provide a way to apply patches to already installed applications ;)

Yes, this is something we will be attempting once everything else is working perfectly. We don't actually see this as a critical feature, and it's high risk from our point of view (which I assume why no other auto-installers do it), but it's definitely something we'd like to have a go at.

Rowan.

interfasys
06-27-2004, 10:18 PM
Mambo 1.0.9 is only about minor issues, but 1.0.8 isn't :
"A small patch is now available to upgrade your Mambo sites to version 1.0.8. While it is small in size, it contains several fixes for some very serious security vulnerabilities that can be leveraged under certain circumstances."

All the files are there:
http://mosforge.net/frs/?group_id=5

The problem with 1.0.8 is that it was only released as a patch, so you would have had to create your own full release of 1.0.8. This is not the case anymore with 1.0.9.

And I totally agree on the high risk of patching existing versions. There should be a huge warning and a link to the backup feature next to the update button that the user can press. If he did some mods, things could go very wrong...

Sumaleth
06-27-2004, 10:31 PM
So the 1.0.9 download on that page is supposed to download 1.0.8? That's just weird. I'll do that version then.

interfasys
06-27-2004, 10:45 PM
No, you can download a full 1.0.9 from that page, but the full 1.0.8 was never released (only the patch was).

Sumaleth
06-27-2004, 11:30 PM
Well the odd thing is that if you download and install that 1.0.9 zip, the installation and files all say 1.0.8. Not sure if that's a mistake or whether they intended it to be like that, but 1.0.8 is probably worth installing anyway.

interfasys
06-28-2004, 01:30 AM
Hehe..They probably forgot to update version.php ;)

UltimeWWW
06-30-2004, 07:59 AM
Hum, got that:

Your IP number -- 209.123.181.19 -- was not found in the Installatron.com license list.
Check your license assignment via your Installatron client account.

Also can't remember my password :mad:

interfasys
06-30-2004, 10:23 AM
Did you just buy a license or is it during an update. (If just bought, you have to wait for them to activate it)

UltimeWWW
06-30-2004, 10:25 AM
No I bought it several weeks ago but never used it before :)

Sumaleth
06-30-2004, 05:28 PM
Your IP number -- 209.123.181.19 -- was not found in the Installatron.com license list.

That IP number is not assigned to either of your licenses.

Drop us an email if you still need your client login password reset: http://www.installatron.com/contact

Rowan.

UltimeWWW
07-01-2004, 02:52 PM
Thanks!

Got that now:

Fatal error: Cannot instantiate non-existent class: p_b2evolution in /usr/local/directadmin/plugins/iTron/engine/installatron.php on line 218

Sumaleth
07-01-2004, 05:50 PM
Kinda sounds like it might not have fully downloaded the package.

Try manually deleting everything in:

/usr/local/directadmin/plugins/iTron/packages/

and

/usr/local/directadmin/plugins/iTron/import/

And do an Update Packages And Languages.

Rowan.

l0rdphi1
07-06-2004, 11:39 PM
iTron version 2.3rc6 is now up.

See version log here (http://www.installatron.com/log) before updating.

Thank You :)

interfasys
07-06-2004, 11:55 PM
Upgrade to rc6 went fine, but PHPcoin is still not playing nice... :
> Warning http://downloads.phpcoin.com/phpcoin_v121b_2004-06-29.zip inaccessible

Sumaleth
07-07-2004, 12:19 AM
Those guys won't stop changing their filenames. I've updated the package again.

Rowan.

l0rdphi1
08-03-2004, 08:46 PM
Installatron v2.3rc7 is now online.

This version contains many fixes and experimental completion of script groups.

Version log: http://www.installatron.com/log

Enjoy!

Sumaleth
08-03-2004, 09:20 PM
Just a note to anyone who has painstakenly set up Script Groups in rc6 -- you might want to hold off on the upgrade until we've got some feedback on the new test code in rc7.

Row.

l0rdphi1
08-03-2004, 09:24 PM
Oh, I forgot to mention: This release requires DirectAdmin v1.22.3 or higher!

With that said, carry on... :)

l0rdphi1
08-05-2004, 12:28 AM
We're looking for feedback on 2.3rc7 for those of you who have upgraded to it.

In particular, the Script Groups system. It looks to be working on our server but we'd love to hear whether it is working correctly on other servers too. This is only relevant if you have Resellers on your server.

In the latest system, when you (the admin) create a new Script Group and select the 'Create a custom user list' option, you should find your resellers in that list (underlined), but _not_ any of reseller users.

The resellers should also now have their own Script Group system, and they should be only able to make scripts that are available to them.

Finally, users of a reseller should only be able to install scripts enabled by the parent reseller.

It's that hierarchical passing of access that we're interested in feedback on. Does it work for you?

Phi1.

skruf
08-08-2004, 08:10 PM
Hey,

While this doesn't relate to Resellers here's something I found...

If I create a Script Group and choose "Create a custom user list" and then check "All scripts", then I check users to include in that group...

Save it and then when I check the users (login to their account) that are suppose to be in there, they have NO scripts available.

But, if instead of selecting "All scripts" I choose "Custom selection:" and choose ALL (or any number of them) the scripts, then it works... The users now have the scripts available.

iTron v2.3rc7 and DA 1.22.4

David

Sumaleth
08-08-2004, 09:06 PM
I haven't been able to reproduce that error here.

I created a new group ('test'), assigned All scripts, and Create a custom user list, then edited the list and selected a few users.

Then, through DA, logged in as one of those users. And all the scripts were available for install.

Anything in those steps sound different to what you are trying?

I am using 2.3final here, which hasn't been released yet so might have some extra work done in that area.

If it definitely looks like a bug, we'd be interested in having a look ourselves. If you don't mind us having a look, could you send the directadmin admin password through this form:

http://www.installatron.com/contact

Rowan @ Installatron

l0rdphi1
08-09-2004, 11:26 AM
Hello,

Can your server see those SF.net files? SF.net appears to be down for me too. Hmm.

Thank You, Phi1.

l0rdphi1
08-09-2004, 02:54 PM
For the next release of Installatron, any packages hosted by SF.net will try other mirrors in the case our default fails :)

Cheers, Phi1.

TheBear
08-17-2004, 06:49 PM
Hi,

This may seem to be a dumb question, but I could not find any pricing info on the installatron webpage.

Does anyone know what it costs? I can't see registering on a website just to find out such a simple piece of information as that.

l0rdphi1
08-17-2004, 06:58 PM
Hello, pricing is on our main page -- www.installatron.com

About half way down. :)

Phi1.

TheBear
08-17-2004, 07:03 PM
Originally posted by l0rdphi1
Hello, pricing is on our main page -- www.installatron.com

About half way down. :)

Phi1.

Believe it or not, but 3 other people also looked at your site - including clicking on the purchase link and didn't see it.

Dale

jmstacey
08-17-2004, 07:09 PM
Then your not looking hard enough ;)

Works for me.
See attached image :rolleyes:

l0rdphi1
08-17-2004, 07:11 PM
It works for me, too, in Firefox .9.3.

Can you reply with a screenshot Dale?

Thanks, Phi1.

Sumaleth
08-17-2004, 07:58 PM
I've added a 'Pricing' link to the nagivation menu at the top, which links to the pricing table further down the main page.

This will hopefully fix the problem if the pricing table is just being overlooked, but if the problem is that the pricing table is not showing up at all for some visitors then I'll need to look a little deeper at the HTML.

Rowan.

meister
09-21-2004, 09:34 PM
The pricing link needs a little touch-up. From the license, purchase, and contact screens, the link doesnt work.


http://www.installatron.com/license#pricing
http://www.installatron.com/purchase#pricing
http://www.installatron.com/contact#pricing

Sumaleth
09-21-2004, 09:47 PM
Thanks for the headsup.

(yeah, it only works on the front page)

GoranTornqvist
02-21-2005, 05:59 AM
Unable to execute your request

Details
The requested file does not have read or execute permissions
Same thing in both admin and user level

DirectAdmin 1.23.4

What's the problem and how do I solve it?


Thanks...

l0rdphi1
02-22-2005, 12:07 AM
Originally posted by GoranTornqvist
Same thing in both admin and user level

DirectAdmin 1.23.4

What's the problem and how do I solve it?


Thanks...
Please see this post: http://forums.liquenox.com/index.php?showtopic=470

Thank You, Phil.

netpants
03-17-2005, 03:11 AM
installatron site is down ?

Sumaleth
03-17-2005, 03:45 AM
It's working again.

Rowan.